| GET | /RestApi/Sitefinity/packaging/archive |
|---|
import 'package:servicestack/servicestack.dart';
class DownloadExportedArchiveConfigurationMessage implements IConvertible
{
String? ArchiveName;
DownloadExportedArchiveConfigurationMessage({this.ArchiveName});
DownloadExportedArchiveConfigurationMessage.fromJson(Map<String, dynamic> json) { fromMap(json); }
fromMap(Map<String, dynamic> json) {
ArchiveName = json['ArchiveName'];
return this;
}
Map<String, dynamic> toJson() => {
'ArchiveName': ArchiveName
};
getTypeName() => "DownloadExportedArchiveConfigurationMessage";
TypeContext? context = _ctx;
}
class ZipFileResult implements IConvertible
{
Map<String,String?>? Options;
ZipFileResult({this.Options});
ZipFileResult.fromJson(Map<String, dynamic> json) { fromMap(json); }
fromMap(Map<String, dynamic> json) {
Options = JsonConverters.fromJson(json['Options'],'Map<String,String?>',context!);
return this;
}
Map<String, dynamic> toJson() => {
'Options': JsonConverters.toJson(Options,'Map<String,String?>',context!)
};
getTypeName() => "ZipFileResult";
TypeContext? context = _ctx;
}
TypeContext _ctx = TypeContext(library: 'www.asg.com.au', types: <String, TypeInfo> {
'DownloadExportedArchiveConfigurationMessage': TypeInfo(TypeOf.Class, create:() => DownloadExportedArchiveConfigurationMessage()),
'ZipFileResult': TypeInfo(TypeOf.Class, create:() => ZipFileResult()),
'Map<String,String?>': TypeInfo(TypeOf.Class, create:() => Map<String,String?>()),
});
Dart DownloadExportedArchiveConfigurationMessage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/Sitefinity/packaging/archive HTTP/1.1 Host: www.asg.com.au Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
{}